---
apiVersion: operators.coreos.com/v1
kind: Operator
metadata:
  creationTimestamp: "2025-10-27T12:40:31Z"
  generation: 1
  managedFields:
  - apiVersion: operators.coreos.com/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:spec: {}
    manager: olm
    operation: Update
    time: "2025-10-27T12:40:31Z"
  - apiVersion: operators.coreos.com/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        .: {}
        f:components:
          .: {}
          f:labelSelector: {}
          f:refs: {}
    manager: olm
    operation: Update
    subresource: status
    time: "2025-10-29T13:03:26Z"
  name: cluster-kube-descheduler-operator.openshift-kube-descheduler-op
  resourceVersion: "2208985"
  uid: c964dac0-b20d-45ea-9f6e-ee7988cda56b
spec: {}
status:
  components:
    labelSelector:
      matchExpressions:
      - key: operators.coreos.com/cluster-kube-descheduler-operator.openshift-kube-descheduler-op
        operator: Exists
    refs:
    - apiVersion: rbac.authorization.k8s.io/v1
      kind: ClusterRole
      name: clusterkubedeschedulerop-4hnMCtlJJhE9YjDixwZ22EBU0V6EZTbwzp8yYI
    - apiVersion: rbac.authorization.k8s.io/v1
      kind: ClusterRoleBinding
      name: clusterkubedeschedulerop-4hnMCtlJJhE9YjDixwZ22EBU0V6EZTbwzp8yYI
    - apiVersion: operators.coreos.com/v1alpha1
      conditions:
      - lastTransitionTime: "2025-10-27T12:41:49Z"
        lastUpdateTime: "2025-10-27T12:41:49Z"
        message: install strategy completed with no errors
        reason: InstallSucceeded
        status: "True"
        type: Succeeded
      kind: ClusterServiceVersion
      name: clusterkubedescheduleroperator.v5.2.0
      namespace: openshift-kube-descheduler-operator
    - apiVersion: apiextensions.k8s.io/v1
      conditions:
      - lastTransitionTime: "2025-10-27T12:41:01Z"
        message: no conflicts found
        reason: NoConflicts
        status: "True"
        type: NamesAccepted
      - lastTransitionTime: "2025-10-27T12:41:01Z"
        message: the initial names have been accepted
        reason: InitialNamesAccepted
        status: "True"
        type: Established
      kind: CustomResourceDefinition
      name: kubedeschedulers.operator.openshift.io
    - apiVersion: apps/v1
      conditions:
      - lastTransitionTime: "2025-10-27T12:41:49Z"
        lastUpdateTime: "2025-10-27T12:41:49Z"
        message: Deployment has minimum availability.
        reason: MinimumReplicasAvailable
        status: "True"
        type: Available
      - lastTransitionTime: "2025-10-27T12:41:43Z"
        lastUpdateTime: "2025-10-27T12:41:49Z"
        message: ReplicaSet "descheduler-operator-664b998ccb" has successfully progressed.
        reason: NewReplicaSetAvailable
        status: "True"
        type: Progressing
      kind: Deployment
      name: descheduler-operator
      namespace: openshift-kube-descheduler-operator
    - apiVersion: operators.coreos.com/v1alpha1
      conditions:
      - lastTransitionTime: "2025-10-27T12:41:43Z"
        lastUpdateTime: "2025-10-27T12:41:43Z"
        status: "True"
        type: Installed
      kind: InstallPlan
      name: install-4trh8
      namespace: openshift-kube-descheduler-operator
    - apiVersion: operators.coreos.com/v2
      kind: OperatorCondition
      name: clusterkubedescheduleroperator.v5.2.0
      namespace: openshift-kube-descheduler-operator
    - apiVersion: v1
      kind: ServiceAccount
      name: openshift-descheduler
      namespace: openshift-kube-descheduler-operator
    - apiVersion: operators.coreos.com/v1alpha1
      conditions:
      - lastTransitionTime: "2025-10-29T13:03:25Z"
        message: targeted catalogsource openshift-marketplace/redhat-operators missing
        reason: UnhealthyCatalogSourceFound
        status: "True"
        type: CatalogSourcesUnhealthy
      - message: 'constraints not satisfiable: no operators found from catalog redhat-operators
          in namespace openshift-marketplace referenced by subscription descheduler-operator,
          subscription descheduler-operator exists'
        reason: ConstraintsNotSatisfiable
        status: "True"
        type: ResolutionFailed
      kind: Subscription
      name: descheduler-operator
      namespace: openshift-kube-descheduler-operator
